<?xml version="1.0" encoding="UTF-8"?>
<wsdl:definitions xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns="http://xmlns.ec.eu/BusinessActivityService/ICS2/TIErrorNotificationBAS/V1" xmlns:ccn2="http://ccn2.ec.eu/" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" targetNamespace="http://xmlns.ec.eu/BusinessActivityService/ICS2/TIErrorNotificationBAS/V1" name="TIErrorNotificationBAS">
  <wsdl:import namespace="http://xmlns.ec.eu/BusinessActivityService/ICS2/TIErrorNotificationBAS/V1" location="TIErrorNotificationBASAbstract_CCN2.wsdl" />
  <wsdl:binding name="TIErrorNotificationBASSoapBinding" type="TIErrorNotificationBAS">
    <soap12:binding style="document" transport="http://schemas.xmlsoap.org/soap/http" />
    <wsp:PolicyReference URI="#CCN2.Policy.Platform.Auth.SAML-SignEncrypt" />
    <wsp:PolicyReference URI="#CCN2.Policy.Platform.Rout.AsyncEPR" />
    <wsdl:operation name="IE4N99notifyError">
      <soap12:operation soapAction="CCN2.Service.Customs.EU.ICS2.TIErrorNotificationBAS/IE4N99notifyError" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:fault name="serviceFault">
        <soap12:fault use="literal" name="serviceFault" />
      </wsdl:fault>
      <wsdl:fault name="ccnFault">
        <soap12:fault use="literal" name="ccnFault" />
      </wsdl:fault>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="CCN2.Service.Customs.EU.ICS2.TIErrorNotificationBAS">
    <wsdl:port name="TIErrorNotificationBAS" binding="TIErrorNotificationBASSoapBinding">
      <soap12:address location="{partner_Service_EndPoint}" />
      <wsa:EndpointReference>
        <wsa:Address>{partner_Service_EndPoint}</wsa:Address>
        <wsa:Metadata>
          <ccn2:ServiceID>CCN2.Service.Customs.EU.ICS2.TIErrorNotificationBAS</ccn2:ServiceID>
          <ccn2:ServiceName>CCN2.Service.Customs.EU.ICS2.TIErrorNotificationBAS</ccn2:ServiceName>
          <ccn2:ServiceDescription>CCN2.Service.Customs.EU.ICS2.TIErrorNotificationBAS</ccn2:ServiceDescription>
          <ccn2:ServiceVersion>http://ccn2.ec.eu/Version/1.0.0</ccn2:ServiceVersion>
          <ccn2:ccn.metadata.DestinationId>CCN2.Partner.{CountryCode}.Customs.TAXUD/ICS.{ENV}</ccn2:ccn.metadata.DestinationId>
        </wsa:Metadata>
      </wsa:EndpointReference>
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>
